/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.daemon;

import relacs.general.OrderedList;

/**
 * The <code> VersionList</code> class
 *
 * @author  Alberto Montresor
 * @since   Jgroup 0.1
 */
class           VersionList
extends         OrderedList
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Fields
  ////////////////////////////////////////////////////////////////////////////////////////////

  int           version;                // Last version number reached


  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructors
  ////////////////////////////////////////////////////////////////////////////////////////////

  /*
   * Allocates an empty VersionList
   */
  VersionList()
  {
    super();
  }

  /*
   * Allocates a VersionList item containing
   */
  VersionList(int gid, int version)
  {
    super();
    this.key     = gid;
    this.version = version;
  }

} // END VersionList
