/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESSS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.jini;

import net.jini.core.entry.*;

/**
 *
 * @author  Alberto Montresor
 * @since   Jgroup 1.1
 */
public class GroupEntry
implements Entry
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Fields
  ////////////////////////////////////////////////////////////////////////////////////////////

  public String groupName;

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructor
  ////////////////////////////////////////////////////////////////////////////////////////////


	/**
	 * Public no-arg constructor
	 */
	public GroupEntry()
  {
  }


	/**
	 * 
	 * @param groupName name of the group
	 */
	public GroupEntry(String groupName)
  {
    this.groupName = groupName;
  }

} // END GroupEntry
